Package org.gitana.platform.client

# Class LookupOptions

java.lang.Object
org.gitana.platform.client.LookupOptions

Direct Known Subclasses:
  `TreeLookupOptions`

public class LookupOptions extends Object

## Constructor Summary

Constructors
Constructor
Description
`LookupOptions()`

## Method Summary

Modifier and Type
Method
Description
`static LookupOptions`
`fromPagination(org.gitana.platform.support.Pagination pagination)`
`static LookupOptions`
`fromPath(String path)`
`Locale`
`getLocale()`
`org.gitana.platform.support.Pagination`
`getPagination()`
`String`
`getPath()`
`Boolean`
`getPaths()`
`Map<String,String>`
`params()`
`void`
`setLocale(Locale locale)`
`void`
`setPagination(org.gitana.platform.support.Pagination pagination)`
`void`
`setPath(String path)`
`void`
`setPaths(Boolean paths)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LookupOptions

public LookupOptions()

## Method Details

### setPagination

public void setPagination(org.gitana.platform.support.Pagination pagination)

### getPagination

public org.gitana.platform.support.Pagination getPagination()

### getLocale

public Locale getLocale()

### setLocale

public void setLocale(Locale locale)

### getPaths

public Boolean getPaths()

### setPaths

public void setPaths(Boolean paths)

### getPath

public String getPath()

### setPath

public void setPath(String path)

### params

public Map<String,String> params()

### fromPagination

public static LookupOptions fromPagination(org.gitana.platform.support.Pagination pagination)

### fromPath

public static LookupOptions fromPath(String path)